;Dial-up client with NAT, DOD and a filter (ISDN friendly)
;
;   This is sample configuration file for sfcli
;
;   Advanced client version for small lan dial-up access
;   Includes NAT, DOD and a filter.
;
;   NAT is name address translation.
;   It allows your lan to access internet using 1
;   dial-up provider connection
;
;   Please change this file to include:
;       Your provider's phone numbers separated by semicolon
;           port.phones=
;       Your username and password
;           client.clientname=
;           client.clientpass=
;       If Your provider requires login script You can
;       try to uncomment (remove ';') "port.script=" line
;       in this file
;
;   Also You can alter 'port.name' and 'port.speed' lines
;       to specify the com port name and speed your modem connected to
;
;       DOD is disabled by default. To enable it uncomment
;       "bind=dod:dodstack.io" and "dod.enabled=1" lines.
;       Note: check DOD addresses (dod.address,dod.peeraddress).
;             They must not be from one of your networks.
;             If they are, change them to any non-used addresses
;             from either 10.x.x.x or 192.168.x.x nets.
;
;       NAT and filter are disabled by default to enable it uncomment
;       "enabled=" line in [nat] and [filter] section of this file.
;       Note: Default action for packet filter is to disable everything.
;             You MUST configure the filter before enabling it
;
;   To use callback uncomment 'callback.mode' line and
;       put your phone number to the callback.client.phone line
;
;   To use this file enter:
;       [C:\SFLINKS]sfcli -Ccl_medium.cfg

!include "default.cfg"

[ppp]
@include "cl_ppp"

port.name=com1
port.speed=38400

lcp.recv.mru=1524
lcp.send.mtu=1524

port.phones=ENTER PHONES SEPARATED BY SEMICOLON(;) HERE

auth.client.clientname=ENTER YOUR USER NAME HERE
auth.client.clientpass=ENTER YOUR PASSWORD HERE

;port.script=\c ogin \U ssword \P

;dod.enabled=1
;bind=dod:dodstack.io
dod.address=10.98.25.1
dod.peeraddress=10.98.25.2

;callback.mode=CLIENT
callback.client.phone=ENTER YOUR PHONE NUMBER HERE

[nat]
enabled=yes

[filter]
;enabled=yes


;Please do not alter following lines
[ppp]
bind=io:nat.port

[nat]
bind=stack:filter.port

[filter]
bind=stack:cl_pppstack.io

[plugman]
message.hook=dnshook.cmd

;ONE_FILT
;VISIBLE:3.2000,3.1028,3.1050,3.1040,3.2002,3.1030,3.1052,3.1042,
;TYPE:new
;TYPE:lgs_v1
;TYPE:pppclient
;TYPE:serialppp

